package com.caimei.www.mapper;

import com.caimei.www.pojo.page.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/6/16
 */
@Mapper
public interface BaseDao {
    /**
     * 获取搜索热门关键字
     */
    List<String> getSearchKeyword();
    /**
     * 获取头部菜单
     */
    List<TopMenu> getTopMenus();
    /**
     * 获取二级菜单
     */
    List<SubMenu> getSubMenus(@Param("topId") Integer topId);

    /**
     * 获取底部链接分类
     */
    List<BaseLink> getHelpPageTypes();

    /**
     * 根据分类获取底部链接
     */
    List<BaseLink> getHelpPagesByType(@Param("typeId") Integer typeId);

    /**
     * 获取友情链接
     */
    List<BaseLink> getFriendLinks();
}
